> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/network-services/vpn-gateway/api-how-tos/retrieve-wireguard-peer.md).

# Retrieve Wireguard Peer

IONOS CLOUD VPN Gateway: retrieve a specific WireGuard peer using the API

Returns the WireGuard Peer by ID.

To retrieve the WireGuard Peer, perform a `GET` request.

## Endpoint

Use a [<mark style="color:blue;">region-specific</mark>](/cloud/network-services/vpn-gateway/api-how-tos.md#endpoints) endpoint to retrieve a WireGuard Peer: `https://vpn.{region}.ionos.com/wireguardgateways/{gatewayId}/peers/{peerId}`.

## Request

```bash
curl --location \
--request GET 'https://api.ionos.com/wireguardgateways/55871672-381f-589c-8809-4ffbecd8b27c/peers/b62b3a40-adee-5b6c-b98d-be20bfcbdd91' \
--header 'Authorization: Bearer eyJ0eXAiOiJKV1QiLCJraWQiO'
```

{% tabs %}
{% tab title="Path Parameters" %}
You can update the `gatewayId` and `peerId` values to get a specific WireGuard Peer for a given gateway:

| Path Parameter | Type   | Description                             | Example                                |
| -------------- | ------ | --------------------------------------- | -------------------------------------- |
| **gatewayId**  | string | The ID (UUID) of the WireGuard Gateway. | `85c79b4b-5b40-570a-b788-58dd46ea71e2` |
| **peerId**     | string | The ID (UUID) of the WireGuard Peer.    | `b62b3a40-adee-5b6c-b98d-be20bfcbdd91` |
| {% endtab %}   |        |                                         |                                        |

{% tab title="Request Header Parameters" %}
To make authenticated requests to the API, the following fields are mandatory in the request header:

| Header Parameter | Required | Type   | Description                                                                       |
| ---------------- | -------- | ------ | --------------------------------------------------------------------------------- |
| `Authorization`  | yes      | string | The Bearer token to enable requests to authenticate using a JSON Web Token (JWT). |
| `Content-Type`   | no       | string | Set this to `application/json`.                                                   |
| {% endtab %}     |          |        |                                                                                   |
| {% endtabs %}    |          |        |                                                                                   |

## Response

**200 Successful operation**

```json
{
  "id": "b62b3a40-adee-5b6c-b98d-be20bfcbdd91",
  "type": "wireguardpeer",
  "href": "/wireguardgateways/{gatewayId}/peers/b62b3a40-adee-5b6c-b98d-be20bfcbdd91",
  "metadata": {
    "createdDate": "2020-12-10T13:37:50+01:00",
    "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedDate": "2020-12-11T13:37:50+01:00",
    "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
    "status": "AVAILABLE",
    "statusMessage": null
  },
  "properties": {
    "name": "My Company Gateway Peer",
    "description": "Allows local machine A to connect to Datacenter LAN Y.",
    "endpoint": {
      "host": "198.51.100.0/24",
      "port": 51820
    },
    "allowedIPs": [
      "198.51.100.0/24"
    ],
    "publicKey": "no8iaSEoqfbI6PVYsdEiUU5efYdtKX8VAhKity19MWI="
  }
}
```

{% hint style="success" %}
**Result:** The WireGuard Peer and its details for the specified `gatewayId` and `peerId` are successfully obtained.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/network-services/vpn-gateway/api-how-tos/retrieve-wireguard-peer.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
